/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "generalsettingspage.h"
#include "settings.h"

#include <QtGui/QWidget>
#include <QFormLayout>
#include <QSettings>

#include <klocale.h>
#include <KDebug>
#include <KFile>
#include <KFileDialog>
#include <KUrlRequester>
#include <KLineEdit>

namespace MPlayerScriptDevice {

GeneralSettingsPage::GeneralSettingsPage() : QWidget()
{
	createWidgets();
	layoutWidgets();
}


GeneralSettingsPage::~GeneralSettingsPage()
{
}

void GeneralSettingsPage::createWidgets()
{
	kDebug() << "createWidgets()" << endl;

	mMencoder = new KUrlRequester();
	mMencoder->lineEdit()->setObjectName("kcfg_mencoder");
}

void GeneralSettingsPage::layoutWidgets()
{
	kDebug() << "layoutWidgets()" << endl;

	QFormLayout* form  = new QFormLayout();
	form->addRow("mencoder", mMencoder);
	this->setLayout(form);
}

void GeneralSettingsPage::writeSettings()
{
}

void GeneralSettingsPage::loadSettings()
{
}

}

#include "generalsettingspage.moc"